Subject: [PATCH 0/4] Improve Shepherd service support for networked file systems

From: Jonathan Brielmaier <[email-masked]>
Date: Thu, 25 Apr 2024 08:51:56 +0200

Hello Richard,

thanks for improving the CIFS mounting problem!

I'm using a CIFS share on one of my servers. There I stumbled upon a
problem, that the share is disappearing (e.g. CIFS server unavailable
for a short time) and gets not automatically remounted.

So I'm using a simple cron job to workaround this problem:
```
;; CIFS mount disappears often
(define mount-all-job
   #~(job "0 * * * *"
          "mount --all"
          #:user "root"))
```

Do you know if this particular problem gets resolved with your patch?

~Jonathan